> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# BulkGet boxes

GET https://{tenant_name}.benchling.com/api/v2/boxes:bulk-get

BulkGet boxes

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/boxes/bulk-get-boxes

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `boxIds` (string, optional)
- `barcodes` (string, optional)

## Response

### 200

OK

- `boxes` (list of Box, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### Box

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `availableCapacity` (integer, optional) — The number of available positions in the box.
- `barcode` (string, optional, nullable)
- `createdAt` (datetime, optional)
- `creator` (UserSummary, optional)
- `emptyContainers` (integer, optional) — The number of containers in the box that have no contents.
- `emptyPositions` (integer, optional) — The number of empty positions for adding additional containers in the box.
- `fields` (map from string to Field, optional)
- `filledPositions` (integer, optional) — The number of containers currently in the box.
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `occupiedCapacity` (integer, optional) — The number of containers currently in the box.
- `parentStorageId` (string, optional, nullable)
- `projectId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `size` (integer, optional) — The size of the box (i.e. how many containers it can store).
- `totalCapacity` (integer, optional) — The total capacity of the box (i.e. how many containers it can store).
- `webURL` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

## Examples

**Response**

```json
{
  "boxes": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "availableCapacity": 1,
      "barcode": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "emptyContainers": 1,
      "emptyPositions": 1,
      "fields": {},
      "filledPositions": 1,
      "id": "string",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "name": "string",
      "occupiedCapacity": 1,
      "parentStorageId": "string",
      "projectId": "string",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "size": 1,
      "totalCapacity": 1,
      "webURL": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/boxes:bulk-get"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/boxes:bulk-get';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```